if not AltManager then return end

local L = LibStub("AceLocale-3.0"):GetLocale("AltManager")
local me = GetUnitName("Player").." - "..GetRealmName()
local AMConfig = LibStub("AceConfig-3.0")
local AMConfigDialog = LibStub("AceConfigDialog-3.0")

function AltManager:Options()
	local AMOptions = {
	  type="group",
	  args={
		HandleJobQuests={
		  type="group",
		  inline=true,
		  order=100,
		  name=L.JobQuests,
		  args={
			HandleCook={
			  name=L.Cook,
			  desc=L.ToggleDesc..L.Cook,
			  order=103,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Cook.handle = val end,
			  get = function(info) return AltManager.db.global[me].Cook.handle end
			},
			HandleFish={
			  name=L.Fish,
			  desc=L.ToggleDesc..L.Fish,
			  order=102,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Fish.handle = val end,
			  get = function(info) return AltManager.db.global[me].Fish.handle end
			},
			HandleJC={
			  name=L.JC,
			  desc=L.ToggleDesc..L.JC,
			  order=101,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].JC.handle = val end,
			  get = function(info) return AltManager.db.global[me].JC.handle end
			},
		  },
		},
		HandleMisc={
		  type="group",
		  inline=true,
		  order=200,
		  name=L.Misc,
		  args={
			HandleBG={
			  name=L.BG,
			  desc=L.ToggleDesc..L.BG,
			  order=203,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].BG.handle = val end,
			  get = function(info) return AltManager.db.global[me].BG.handle end
			},
			HandleFrost={
			  name=L.Frost,
			  desc=L.ToggleDesc..L.Frost,
			  order=202,
			  type="toggle",
			  set = function(info,val) AltManager.db.global[me].Frost.handle = val end,
			  get = function(info) return AltManager.db.global[me].Frost.handle end
			},
			-- HandleWeekly={
			  -- name=L.Weekly,
			  -- desc=L.ToggleDesc..L.Weekly,
			  -- order=201,
			  -- type="toggle",
			  -- set = function(info,val) AltManager.db.global[me].Weekly.handle = val end,
			  -- get = function(info) return AltManager.db.global[me].Weekly.handle end
			-- },
		  },
		},
		HandlePersonalQuests={
		  type="group",
		  inline=true,
		  order=0,
		  name=L.PersonalQuests..L.BetaTesting,
		  args={
			ListQuestsAdd={
			  name=L.AddPQuest,
			  desc=L.AddPQuestDesc,
			  order=2,
			  type="select",
			  values = function() return AltManager:ScanQuestLogForDailies() end,
			  set = function(info,val) AltManager:AddPersonalQuest(val) end,
			},
			ListQuestsDelete={
			  name=L.DelPQuest,
			  desc=L.DelPQuestDesc,
			  order=3,
			  type="select",
			  values = function() return AltManager:GetPersonalQuests() end,
			  set = function(info,val) AltManager:DeletePersonalQuest(val) end,
			},
		  },
		},
		HandleRaid = {
			type="group",
			inline=true,
			order=300,
			name=L.RaidIDs,
			args={
				HandleBastion={
					name=L["The Bastion of Twilight"],
					desc=L.ToggleDesc..L["The Bastion of Twilight"],
					order=303,
					type="toggle",
					set = function(info,val) AltManager.db.global[me]["The Bastion of Twilight"].handle = val end,
					get = function(info) return AltManager.db.global[me]["The Bastion of Twilight"].handle end
				},
				HandleBaradin={
					name=L["Baradin Hold"],
					desc=L.ToggleDesc..L["Baradin Hold"],
					order=301,
					type="toggle",
					set = function(info,val) AltManager.db.global[me]["Baradin Hold"].handle = val end,
					get = function(info) return AltManager.db.global[me]["Baradin Hold"].handle end
				},
				HandleTotFW={
					name=L["Throne of the Four Winds"],
					desc=L.ToggleDesc..L["Throne of the Four Winds"],
					order=304,
					type="toggle",
					set = function(info,val) AltManager.db.global[me]["Throne of the Four Winds"].handle = val end,
					get = function(info) return AltManager.db.global[me]["Throne of the Four Winds"].handle end
				},
				HandleBWD={
					name=L["Blackwing Descent"],
					desc=L.ToggleDesc..L["Blackwing Descent"],
					order=302,
					type="toggle",
					set = function(info,val) AltManager.db.global[me]["Blackwing Descent"].handle = val end,
					get = function(info) return AltManager.db.global[me]["Blackwing Descent"].handle end
				},
			},
		},
	  },
	}
	
	return AMOptions
end

AMConfig:RegisterOptionsTable("AltManager", AltManager:Options())
AMConfigDialog:AddToBlizOptions("AltManager", "AltManager")