if not AltManager then return end

local me = GetUnitName("Player").." - "..GetRealmName()

-- Database defaults
local DBDefault = {
	profile = {
		minimap = {
			hide = false,
		},
	},
	global = {
		[me] = {
			-- Id
			Char = { who = nil, level = nil, reset = nil },
			-- Job quests
			Fish = { capable = false, done = 0, handle = true, },
			Cook = { capable = false, done = 0, handle = true, },
			JC = { capable = false, done = 0, handle = true, },
			-- Misc
			BG = { capable = false, done = 0, handle = true, },
			Frost = { capable = false, done = 0, handle = true, },
			-- Raid
			["The Bastion of Twilight"] = { capable = false, done = 0, handle = true, },
			["Baradin Hold"] = { capable = false, done = 0, handle = true, },
			["Throne of the Four Winds"] = { capable = false, done = 0, handle = true, },
			["Blackwing Descent"] = { capable = false, done = 0, handle = true, },
		}
	},
}

local tasks = {
	-- Raid
	["The Bastion of Twilight"] = { div = "raid", idDaily = false, levelRequire = 85, rankRequire = nil },
	["Baradin Hold"] = { div = "raid", idDaily = false, levelRequire = 85, rankRequire = nil },
	["Throne of the Four Winds"] = { div = "raid", idDaily = false, levelRequire = 85, rankRequire = nil },
	["Blackwing Descent"] = { div = "raid", idDaily = false, levelRequire = 85, rankRequire = nil },
	-- Misc
	Frost = { div = "misc", isDaily = true, levelRequire = 80, rankRequire = nil },
	BG = { div = "misc", isDaily = true, levelRequire = 80, rankRequire = nil },
	-- Job quests
	JC = { div = "job", isDaily = true, levelRequire = 65, rankRequire = 350 },
	Fish = { div = "job", isDaily = true, levelRequire = 1, rankRequire = 1 },
	Cook = { div = "job", isDaily = true, levelRequire = 1, rankRequire = 1 },
}

-- In order to associate rank with skill
local skills = {
	ID = { Cook = 2550, Fish = 7620, JC = 25229 },
	Rank = { Cook = -1, Fish = -1, JC = -1 }
}

--Quests
local questsList = {
	[26543] = "Fish", [26556] = "Fish", [26557] = "Fish", [26572] = "Fish", [26588] = "Fish", 
	[26414] = "Fish", [26420] = "Fish", [26442] = "Fish", [26488] = "Fish", [26536] = "Fish", 
	[26220] = "Cook", [26226] = "Cook", [26227] = "Cook",[26233] = "Cook", [26234] = "Cook", [26235] = "Cook",
	[26153] = "Cook", [26177] = "Cook", [26183] = "Cook", [26190] = "Cook", [26192] = "Cook", 
	[25105] = "JC", [25154] = "JC", [25155] = "JC", [25156] = "JC", [25157] = "JC",
	[25158] = "JC", [25159] = "JC", [25160] = "JC", [25161] = "JC", [25162] = "JC",
}

-- Easier display in tt with this sort array
local taskList = {
	raids = { "Baradin Hold", "Blackwing Descent", "The Bastion of Twilight", "Throne of the Four Winds" },
	jobs = { "JC", "Fish", "Cook" },
	misc = { "Frost", "BG" },
}

local global = {
	lvlMin = 1,
	lvlMax = 85,
	InstanceID = {
		heroic = 301,
		normal = 300
	},
}

AltManager:PopulateVars(DBDefault, skills, tasks, questsList, taskList, global)